Bug 1416638 - Issue hit following Chapter 4. Client installation, rbd feature disable -> invalid argument.
Summary: Issue hit following Chapter 4. Client installation, rbd feature disable -> in...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation
Version: 2.2
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: 2.2
Assignee: Bara Ancincova
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 07:11 UTC by Tzach Shefi
Modified: 2017-03-21 23:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-21 23:48:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Tzach Shefi 2017-01-26 07:11:53 UTC
Description of problem: CEPH newbie following Ansible install guide, on this url:

https://access.redhat.com/documentation/en/red-hat-ceph-storage/2/paged/installation-guide-for-red-hat-enterprise-linux/chapter-4-client-installation

Under 4.2. Ceph Block Device Installation
Step #2 Create a block device image, warning section.

Running:
# rbd feature disable image1 journaling deep-flatten exclusive-lock fast-diff object-map

Returns:
rbd: failed to update image features: (22) Invalid argument
2017-01-25 15:07:12.297563 7f64d264ed80 -1 librbd: old-format images do not support features

Command doesn't work, however later I was able mount the rbd block device, even without the failed command (RHEL7.3). 

Despite this warning "Users utilizing the kernel RBD client will not be able to map the block device image. You must first disable all these features, except layering."

Release note link mentions it will fail for 7.2 and this BZ#1340080.


One other tiny typo later on #5
# mount /dev/rbd/rbd/image2 /mnt/ceph-block-device  

Image2 -> should be image1  
Following all the examples mentioned before which all state image1. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

Expected results:

Additional info:

Comment 8 Federico Lucifredi 2017-02-09 18:59:53 UTC
This does not look like a documentation bug.

waiting on Jason to tell us more before deciding if we can punt to the next version or this is a blocker.

Thanks -F


Note You need to log in before you can comment on or make changes to this bug.